"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleVirtualListV = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const _1 = require(".");
function SimpleVirtualListV(props) {
    const containerRef = (0, react_1.useRef)(undefined);
    const rendered = (0, _1.useVirtualOverflowV)({
        containerRef,
        itemsLength: props.items.length,
        itemHeight: props.itemHeight,
        renderItem: (itemIndex, topOffset) => {
            const item = props.items[itemIndex];
            if (!item)
                return null;
            return ((0, jsx_runtime_1.jsx)("div", { style: { position: 'absolute', top: `${topOffset}px` }, children: props.renderItem(item, itemIndex, topOffset) }, props.itemKey(item, itemIndex)));
        }
    }, [props.items, props.itemHeight]);
    return ((0, jsx_runtime_1.jsx)("div", { ref: containerRef, style: { height: `${props.items.length * props.itemHeight}px`, position: 'relative' }, children: rendered }));
}
exports.SimpleVirtualListV = SimpleVirtualListV;
//# sourceMappingURL=simple.js.map